Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2021-02478, UID# 3169
App. Status: Expired

Valid: 10/12/2021 - 10/15/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2873 (10/11/2021)

Charge Cost Quantity Total
Non-Taxable
added 10/11/2021 8:56 PM

Workover Rigs & Cranes 60,001 - 100,000 lbs

$40.00 x 1 $40.00
added 10/11/2021 8:36 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $70.00
Payment 10/11/2021$70.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 10/11/2021 8:36 PM
0f84cb824beb60299d290eb2006565a5
755227abbe93397b55bf74a5b60daf18
 
#1 Permit Issuing OfficialKen Miller - 10/11/2021 8:56 PM
59ef69ad9810c13c24557e9c887f8db9
9616832ab5dba9c90a6e7d6965aff3e8
 
Permit has been approved. All signatures have been obtained.